=== dyndns/Makefile ===
# Makefile
# installation runes for userv-dyndns

# Copyright (C) 2003 Ian Jackson
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with userv-utils; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: Makefile,v 1.1 2003/07/06 20:32:27 ian Exp $

include ../settings.make

install:
		mkdir -p $(shareuserv)/dyndns $(varlibuserv)/dyndns/tmp
		cp service update $(shareuserv)/dyndns
		cp install-script $(shareuserv)/dyndns/install

install-examples:
		mkdir -p $(services)
		cp dyndns $(services)/dyndns.distrib
		cp dyndns-domains $(etcuserv)/dyndns-domains.example
		echo usdyndns >$(etcuserv)/dyndns-service-users.example

install-docs:
		mkdir -p $(docdir)/userv-dyndns
		cp INSTALL $(docdir)/userv-dyndns
