=== groupmanage/Makefile ===
# Makefile
# installation runes for groupmanage

# Copyright (C) 2003 Ian Jackson
# This file is part of groupmanage, part of userv-utils
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with userv-utils; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: Makefile,v 1.2 2003/07/06 21:25:01 ian Exp $

include ../settings.make

install:
		mkdir -p $(bindir)
		cp groupmanage $(bindir)/.

install-examples:
		mkdir -p $(etcdir) $(services)
		cp groupmanage.conf $(etcdir)/groupmanage.conf.example
		cp services $(services)/groupmanage.distrib

install-docs:
		mkdir -p $(docdir)/groupmanage
		cp INSTALL groupmanage.text $(docdir)/groupmanage/.
