=== www-cgi/Makefile ===
# Copyright (C) 1999,2003 Ian Jackson
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with userv-utils; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: Makefile,v 1.6 2003/07/06 20:47:12 ian Exp $


include ../settings.make

uslibdir=	$(libdir)/userv/cgi
uslibcgidir=	$(uslibdir)/cgi

TARGETS=	ucgi ucgitarget

all:		$(TARGETS)

OBJS=		ucgi.o ucgitarget.o ucgicommon.o

ucgi:		ucgi.o ucgicommon.o
ucgitarget:	ucgitarget.o ucgicommon.o

$(OBJS):	ucgi.h

install:	all
		mkdir -p $(uslibcgidir)
		cp -b ucgitarget $(uslibdir)/target
		cp -b ucgi $(uslibcgidir)/
		ln -sf ucgi $(uslibcgidir)/ucgi-debug

install-examples:

install-docs:

clean distclean realclean:
		rm -f $(TARGETS)
