=== debian/changelog ===
userv-utils (0.3) unstable; urgency=medium

  dyndns:
  * New dyndns service.

  ucgi:
  * add HTTP_REFERER.
  * Fix path in www-cgi userv service default configuration.

  ipif/udptunnel:
  * Use slip, not cslip (!)
  * service MAXEXROUTES increased from 5 to 50.
  * Set default max clock skew to 45/45, not 10/30.
  * Allow config file to override default clock skew and lag.
  * Report nonzero death of m4 better.
  * Add a few missing #include's of <string.h>.
  * Minor fixes to INSTALL.

  groupmanage:
  * new name-regexp feature.
  * admin-group is understood in config file but currently ignored.
  * file locations configurable.
  * groupmanage: do not claim that root doesn't exist.
  * groupmanage: configurable group name length limit.
  (Thanks to reports and patches from Ben Harris at Cambridge University.)

  Packaging changes:
  * Debianisation.
  * New Makefiles in various directories; still not wonderful.
  * Removed some common stuff from */Makefile to settings.make.
  * Copyright notices updated.
  * Moved changelog to debian/changelog.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue,  6 Jun 2006 22:02:17 +0100

userv-utils (0.2.3) unstable; urgency=low

  * udptunnel-reconf can write a known_hosts file for you.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 11 Feb 2002 21:46:48 +0000

userv-utils (0.2.2) unstable; urgency=low

  * udptunnel-reconf default script pauses for 10s between restarts.
  * udptunnel-reconf inittab entries default to having </dev/null.
  * udptunnel-reconf understands forbid_remote set to `-'.
  * forbid_remote is a per-tunnel option.
  * udptunnel-vpn-config.m4 allows global file to override as intended.
  * www-cgi passes HTTP_COOKIE header.
  * indirect ssh via V_sshinvoke.
  * userv-ipif config file allows exclusions in network permissions.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 15 Dec 2001 17:55:06 +0000

userv-utils (0.2.1) unstable; urgency=low

  * New udptunnel-reconf program for generating invoke scripts, inittab
    entries, and the like, for a multi-host VPN.

  * service.c (userv ipif) /32 prefixes work properly now.
  * `make distclean' works in ipif, www-cgi and top level.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 11 Dec 2000 02:45:58 +0000

userv-utils (0.2.0) unstable; urgency=low

  Improvements to ipif (tunnelling/VPN facility):
  * INSTALL instructions much improved and README created.
  * Patch to slattach included.
  * Documentation comments improved.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 18 Sep 2000 01:31:01 +0100

userv-utils (0.1.90) unstable; urgency=low

  * ipif/INSTALL instructions, such as they are, included.

  * ipif service now supports `=' character in addrs in ipif-networks, for
    local endpoint only.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 21 Jun 2000 23:48:10 +0100

userv-utils (0.1.9) unstable; urgency=low

  * Completely revamped udptunnel (in ipif) - now does encryption.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 18 Jun 2000 14:41:36 +0100

userv-utils (0.1) experimental; urgency=low

  * Initial release.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue,  9 Nov 1999 23:24:58 +0000

# Local variables:
# mode: debian-changelog
# End:
