=== debian/control ===
Source: userv-utils
Section: admin
Priority: extra
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: userv-ipif
Architecture: any
Depends: userv
Recommends: ssh
Description: VPN system (and user-mode network interface)
 userv-ipif is a userv service to allow non-root users to create
 network interfaces implemented in user space.  No kernel patches are
 required (the kernel's built-in SLIP driver is used).
 .
 Based on this, udptunnel is a a simple but flexible VPN program which
 uses ssh for authentication and key exchange but sends the packets
 over UDP.  (Other VPN-over-ssh programs typically do PPP-over-TCP,
 which yields poor perfoormance.)  Note that udptunnel is not IPSEC.
 .
 The default configuration does set up any users with permission to
 create network interfaces such as VPN endpoints.

Package: userv-dyndns
Architecture: all
Depends: userv, chiark-utils-bin
Recommends: bind
Description: dynamic DNS for shell account users
 userv-dyndns is a userv service which allows non-root users to
 modify individual DNS records in specified zones in a controlled way.
 .
 Typically, this can be used to provide a `dyndns.org'-like service
 which is modifiable by shell account users.
 .
 The default configuration does not set up any users with permission
 to modify the DNS.

Package: userv-cgi
Architecture: any
Depends: userv
Recommends: httpd
Description: user-provided CGI scripts invoked by userv
 This package contains ucgi, a userv service which allows CGI programs
 to be provided which do not run as the webserver user, but instead
 are owned by a particular other account.
 .
 Similar effects can be achieved with Apache's suexec; this package is
 for administrators who do not trust suexec and wish to defend the
 webserver from the CGI script providers, and vice versa, as much as
 possible.  This is achieved by using userv to do the cross-account
 call, rather than a custom setuid helper.
 .
 The default configuration allows the webserver user to invoke users'
 CGI programs from each user's ~/public-GI, but to allow external
 callers to do this, the webserver will also need to be configured.

Package: userv-groupmanage
Architecture: all
Depends: userv
Description: user-controlled group membership
 groupmanage is a userv service which allows individual shell users to
 create UN*X groups, and/or to change the membership of existing
 groups of which they are recorded as the manager.
 .
 The default configuration allows users to create and manage a few
 groups, but is reasonably conservative.

Package: userv-misc
Architecture: all
Depends: userv
Description: miscellaneous small userv scripts
 This package a few small userv services.  Since you must choose
 whether to install this package or not as one lump, the default
 configuration for each script does not give users any new abilities.
 .
 mailq - allow users to view the mail queue
 ndc-reload  - allow certain users to reload the nameserver
