=== ucgi/Makefile ===
# Copyright 1996-2013,2016 Ian Jackson <ijackson@chiark.greenend.org.uk>
# Copyright 1998 David Damerell <damerell@chiark.greenend.org.uk>
# Copyright 1999,2003
#    Chancellor Masters and Scholars of the University of Cambridge
# Copyright 2010 Tony Finch <fanf@dotat.at>
# Copyright 2013,2016 Mark Wooding <mdw@distorted.org.uk>
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with userv-utils; if not, see http://www.gnu.org/licenses/.


include ../settings.make

uslibdir=	$(libdir)/userv/ucgi
uslibcgidir=	$(uslibdir)/cgi
usdocdir=	$(docdir)/userv-ucgi

TARGETS=	ucgi ucgitarget

all:		$(TARGETS)

OBJS=		ucgi.o ucgitarget.o ucgicommon.o

ucgi:		ucgi.o ucgicommon.o
ucgitarget:	ucgitarget.o ucgicommon.o

$(OBJS):	ucgi.h

install:	all
		mkdir -p $(uslibcgidir)
		cp -b ucgitarget $(uslibdir)/target
		cp -b ucgi $(uslibcgidir)/
		ln -sf ucgi $(uslibcgidir)/ucgi-debug

install-examples:

install-docs:
		mkdir -p $(usdocdir)/examples
		cp INSTALL README.custom-env-filter $(usdocdir)/.
		cp srm.conf.fragment $(usdocdir)/examples/.
		sed -e 's#/usr/local#$(prefix)#' user-cgi.text \
			>$(usdocdir)/userv-cgi.text

clean distclean realclean:
		rm -f $(TARGETS) *.o
