=== debian/changelog ===
userv-utils (0.6.1-2) unstable; urgency=medium

  * Source-only upload for testing migration.
  * Add Lintian override for malformed-debian-changelog-version.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Nov 2021 13:13:32 -0700

userv-utils (0.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #991906).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Aug 2021 15:32:01 -0700


# Local variables:
# mode: debian-changelog
# End:
