=== dyndns/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # This is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation; either version 3 of the License, or
 # (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -14,10 +14,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with userv-utils; if not, write to the Free Software
-# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-#
-# $Id: Makefile,v 1.1 2003/07/06 20:32:27 ian Exp $
+# along with userv-utils; if not, see http://www.gnu.org/licenses/.
 
 include ../settings.make
 
@@ -30,7 +27,7 @@
 		mkdir -p $(services)
 		cp dyndns $(services)/dyndns.distrib
 		cp dyndns-domains $(etcuserv)/dyndns-domains.example
-		echo usdyndns >$(etcuserv)/dyndns-service-users.example
+		echo _userv-dyndns >$(etcuserv)/dyndns-service-users.example
 
 install-docs:
 		mkdir -p $(docdir)/userv-dyndns
