=== groupmanage/Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # Makefile
 # installation runes for groupmanage
 
-# Copyright (C) 2003 Ian Jackson
-# This file is part of groupmanage, part of userv-utils
+# Copyright 1996-2013 Ian Jackson <ijackson@chiark.greenend.org.uk>
+# Copyright 1998 David Damerell <damerell@chiark.greenend.org.uk>
+# Copyright 1999,2003
+#    Chancellor Masters and Scholars of the University of Cambridge
+# Copyright 2010 Tony Finch <fanf@dotat.at>
 #
 # This is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation; either version 3 of the License, or
 # (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -15,10 +18,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with userv-utils; if not, write to the Free Software
-# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-#
-# $Id: Makefile,v 1.2 2003/07/06 21:25:01 ian Exp $
+# along with userv-utils; if not, see http://www.gnu.org/licenses/.
 
 include ../settings.make
