=== debian/changelog ===
userv-utils (0.6.1-3) unstable; urgency=medium

  * Pass down Debian's CFLAGS and LDFLAGS (Closes: #1119602).
    Thanks to Emanuele Rocca for the report and fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 30 Oct 2025 18:34:00 +0000
