=== debian/control ===
Source: userv-utils
Section: admin
Priority: optional
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: debhelper-compat (= 12), rename
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Homepage: https://www.chiark.greenend.org.uk/ucgi/~ian/git?p=userv-utils.git;a=summary
Vcs-Git: https://git.spwhitton.name/userv-utils/
Vcs-Browser: https://git.spwhitton.name/userv-utils/

Package: userv-utils
Architecture: any
Depends: userv, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${perl:Depends}
Description: privsep utilities collection
 Several small userv services, which allow certain system configuration
 actions to be delegated.  In each case the service is disabled unless
 enabled by symlink /etc/userv/services.d/* -> ../services-available/*.
 .
 ipif - allow non-root users to create network interfaces
 ucgi - run CGI programs in providing user's account
 mailq - allow users to view the mail queue
 ndc-reload  - allow certain users to reload the nameserver
 checkpasswd-* - allow users to run a UNIX password check
 groupmanage - allow users to create and manage a few groups each

Package: userv-dyndns
Architecture: all
Depends: userv, chiark-utils-bin, adduser, ${perl:Depends}, ${misc:Depends}
Recommends: bind
Description: dynamic DNS for shell account users
 userv-dyndns is a userv service which allows non-root users to
 modify individual DNS records in specified zones in a controlled way.
 .
 Typically, this can be used to provide a `dyndns.org'-like service
 which is modifiable by shell account users.
 .
 The default configuration creates the infrastructure (including a
 service user) but does not allow any users to modify the DNS.

Package: userv-git-daemon
Architecture: all
Depends: userv, git-core, adduser, ${perl:Depends}, ${misc:Depends}
Description: per-user git daemon service
 userv-git-daemon allows users to publish git repositories which will
 be published via the git protocol on 9418.  This is a bit like
 git-daemon except that the actual reading of each user's repositories
 is done as that user.
 .
 The default configuration does nothing: you must (a) manually copy
 the line from /usr/share/doc/examples/userv-git-daemon.inetd into
 /etc/inetd.conf and (b) specifically list hostnames and target
 directories in /etc/userv/git-urlmap.
