=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 override_dh_auto_build:
 	$(checkdir)
 	set -e; for s in $(subdirs_build); do \
+		SUBDIR_CFLAGS="$(CFLAGS)" SUBDIR_LDFLAGS="$(LDFLAGS)" \
 		$(MAKE) -C $$s all; \
 	done
 	touch build
